How to Fix ‘ERR_SSL_VERSION_INTERFERENCE’ in Google Chrome Within Minutes

1 Star2 Stars3 Stars4 Stars5 Stars (2 votes, average: 3.00 out of 5)
Loading...

There’s an easy way to resolve the ERR_SSL_VERSION_INTERFERENCE error in this popular browser — we’ll show you how

There’s a load of SSL/TLS-related errors on the internet, and “ERR_SSL_VERSION_INTERFERENCE” is a recent addition to the list. But what is “ERR_SSL INTERFERENCE?” It’s an SSL/TLS certificate-related error that is often encountered while browsing websites using browsers such as Google Chrome or Firefox. This error occurs when the client (web browser) and the web server cannot come on the same ground when it comes to agreeing to support mutually agreeable TLS version. In most cases, one party — either browser or server — supports TLS 1.3 and the other doesn’t support it at all.

Now, if you’re facing this error, you’re either a website owner or you’re a web user. In this post, we’re going to cover the fix from both the angles.

How to Fix the ERR_SSL_VERSION_INTERFERENCE Warning in Chrome as a Site Owner

If you’re a website owner and you’re seeing ERR_SSL_VERSION_INTERFERENCE in Chrome, then it’s most likely that:

  • you have somehow disabled support for all the TLS versions except TLS 1.3;
  • You’re using an earlier version of TLS 1.3; or
  • Your SSL/TLS certificate was improperly installed or expired.

Either way, your first step should be to check your server configuration to ensure it’s enabled to support TLS 1.2. Many users might not have updated their browsers and are still running TLS 1.2 (which would result in the error message displaying).

And if this doesn’t work, then you should check your SSL certificate to ensure it is still valid and hasn’t expired.

Purchase an SSL Certificate & Save Up to 86%!

We offer the best discount on all types of SSL Certificates — DV, OV, and EV! We offer certificates from the leading CAs, including Comodo CA, Sectigo, Thawte, GeoTrust, and RapidSSL with DV certificates starting as low as $5.45 per year.

Shop Now

If you recently installed your certificate, check to ensure it was done properly. You should also consider reinstalling it if nothing works. Check out our assortment of helpful SSL/TLS certificate installation guides for various servers and platforms.

How to Eliminate the ERR_SSL_VERSION_INTERFERENCE Warning (For Web Users)

Above, we’ve outlined a couple of options through which website owners and admins can get rid of the ERR_SSL_VERSION_INTERFERENCE error on their websites. But what about website visitors? Don’t worry, we haven’t forgotten about you. In fact, we’ve put together some recommendations below. If one doesn’t work, try the next one and your error will soon be resolved!

Update Google Chrome

  • First, open Google Chrome.
  • Now, type chrome://settings/help in the address bar.
  • Let Google Chrome update by itself.

Reset Google Chrome to Default Settings

  • Open Google Chrome.
  • Click on the three vertical dots you see in the top right corner.
  • Go to Settings.
  • Click on
  • Now, click on Reset settings to their original defaults and reset the settings.

Disable Google Chrome’s Extensions

First try to open the website in the incognito mode of Google Chrome. If you don’t encounter this error, the problem is likely to be in the Chrome’s extensions.

  • Click on the three vertical dots you see in the top right corner.
  • Now, click on More tools option
  • Go to Extensions
  • Turn all extensions off and check if the error persists.

Clear the Browsing Data

  • First, open Google Chrome.
  • Press Ctrl + H
  • Clock on Clear Browsing Data
  • Check every box and press the Clear Data

Disable TLS 1.3

  • First, open Google Chrome.
  • Type chrome://flags/#tls13-variant in the address bar and press Enter
  • Scroll down and find TLS 1.3/ TLS 1.3 Early Data Disable it.

Turn Off Antivirus/Firewall

This is not a recommended option as it could make your system vulnerable to threats. Proceed only if you’re okay with accepting those risks.